PathTransition.OrientationType (JavaFX 28)
Description: declaration: module: javafx.graphics, package: javafx.animation, class: PathTransition, enum: OrientationType

# Enum Class PathTransition.OrientationType

java.lang.Object
java.lang.Enum<PathTransition.OrientationType>
javafx.animation.PathTransition.OrientationType

All Implemented Interfaces:
  `Serializable, Comparable<PathTransition.OrientationType>, Constable`

Enclosing class:
  `PathTransition`

public static enum PathTransition.OrientationType extends Enum<PathTransition.OrientationType>
Specifies the upright orientation of `node` along the `path`.

Since:
  JavaFX 2.0

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NONE`
  The targeted `node`'s rotation matrix stays unchanged along the geometric path.
  `ORTHOGONAL_TO_TANGENT`
  The targeted node's rotation matrix is set to keep `node` perpendicular to the path's tangent along the geometric path.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PathTransition.OrientationType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PathTransition.OrientationType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final PathTransition.OrientationType NONE
    The targeted `node`'s rotation matrix stays unchanged along the geometric path.

  - ### ORTHOGONAL_TO_TANGENT

    public static final PathTransition.OrientationType ORTHOGONAL_TO_TANGENT
    The targeted node's rotation matrix is set to keep `node` perpendicular to the path's tangent along the geometric path.

- ## Method Details

  - ### values

    public static PathTransition.OrientationType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PathTransition.OrientationType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null